:root {
  --primary-color: #f2c744;
  --light: #f4f6f9;
  --dark: #000;
  --primary-font: 'Shadows Into Light', cursive;
  --secondary-font: 'Dancing Script', cursive;
}
body {
	font-size: 16px;
	font-family: var(--primary-font);
	color: var(--dark);
}

.container {
	min-height: 100%;
	display: grid;
	grid-template-columns: 1fr;
	grid-template-rows: 160px 1fr 145px;
	grid-gap: 5px;
	grid-auto-flow: row;
	grid-template-areas:
	  "header"
	  "main"
	  "footer";
	justify-items: center;
 }
 .header {
	 grid-area: header;
	 padding: 10px 0 15px;
	 width: 100%;
	 border: 2px solid var(--light);
	 box-shadow: 0 0 4px var(--light);
	 display: grid;
    justify-items: center;
	 align-items: center
 }
.header__img {
	height: 70px;
	width: auto;
}
.title {
	font-family: var(--secondary-font);
	margin: 0;
	font-size: 32px;
	text-align: center;
}
.subtitle {
	margin: 0;
	text-align: center;
}
.gallery {
	padding: 20px;
	border: 2px solid var(--light);
	box-shadow: 0 0 4px var(--light);
}
.gallery__img {
	max-width: 100%;
	width: 100%;
   height: 100%;
   object-fit: cover;
	border-radius: 4px;
}
.bio {
	padding: 15px;
	border: 2px solid var(--light);
	box-shadow: 0 0 4px var(--light);
	grid-area: bio;
	display: grid;
   justify-items: center;
	text-align: center;
}
.bio__img-thumbnail {
	position: relative;
	width: 100px;
	height: 100px;
	overflow: hidden;
	border-radius: 50%;
}
.bio__header {
	display: grid;
	justify-items: center;
}
.bio__img {
	position: absolute;
	left: 50%;
	top: 50%;
	height: 100%;
	width: auto;
	transform: translate(-50%,-50%);
}
.bio__title {
	font-size: 28px;
}
.bio__subtitle {
	font-weight: bold;
}
.bio__text {
	margin: 10px 0;
}
.bio__social {
	height: 20px;
}
.socail-icons {
	width: auto;
   height: 100%;
   object-fit: cover;
}
 .footer {
	grid-area: footer;
	padding: 10px 0 15px;
	width: 100%;
	border: 2px solid var(--light);
	box-shadow: 0 0 4px var(--light);
	display: grid;
	justify-items: center;
	align-items: center
 }
 .footer__img {
	height: 45px;
	width: auto;
}
.footer__title {
	font-size: 18px;
}
.copyright {
	font-family: var(--primary-font);
	margin: 0;
}
@media (min-width: 768px) {
	.main {
		width: 100%;
		grid-area: main;
		display: grid;
		grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
		grid-template-rows: auto;
		grid-gap: 5px;
		grid-auto-flow: row;
		grid-template-areas:
		  "gallery gallery gallery bio bio"
		  "gallery gallery gallery bio bio"
		  "gallery gallery gallery . ."
		  "gallery gallery gallery . .";
	}
	.gallery {
		grid-area: gallery;
		display: grid;
		grid-template-columns: 1fr 1fr 1fr;
		grid-template-rows: 1fr 1fr 1fr;
		grid-gap: 15px;
		grid-auto-flow: row;
		grid-template-areas:
		  "column-1 column-2 column-3"
		  "column-1 column-2 column-3"
		  "column-1 column-2 column-3";
	}
	.column-1 {
		display: grid;
		grid-template-columns: 1fr; 
		grid-template-rows: 15% 30% 25% 15% 15%;
		gap: 10px; 
		grid-template-areas: 
			"gallery__item-1-1"
			"gallery__item-1-2"
			"gallery__item-1-3"
			"gallery__item-1-4"
			"."; 
		grid-area: column-1;
}
 .gallery__item-1-1 {
	 grid-area: gallery__item-1-1;
 }
 .gallery__item-1-2 {
	grid-area: gallery__item-1-2;
}
.gallery__item-1-3 {
	grid-area: gallery__item-1-3;
}
.gallery__item-1-4 {
	grid-area: gallery__item-1-4;
}
 .column-2 {
	display: grid; 
	grid-template-columns: 1fr; 
	grid-template-rows: 25% 15% 25% 30%;
	gap: 10px;
	grid-template-areas: 
	  "gallery__item-2-1"
	  "gallery__item-2-2"
	  "gallery__item-2-3"
	  "gallery__item-2-4"
	  ".";
	grid-area: column-2;
}
.gallery__item-2-1 {
	grid-area: gallery__item-2-1;
}
.gallery__item-2-2 {
  grid-area: gallery__item-2-2;
}
.gallery__item-2-3 {
  grid-area: gallery__item-2-3;
}
.gallery__item-2-4 {
  grid-area: gallery__item-2-4;
}
 .column-3 {
	display: grid; 
	grid-template-columns: 1fr; 
	grid-template-rows: 41.6% 15% 40%;
	gap: 10px;  
	grid-template-areas: 
	  "gallery__item-3-1"
	  "gallery__item-3-2"
	  "gallery__item-3-3"; 
	grid-area: column-3;
}
.gallery__item-3-1 {
	grid-area: gallery__item-3-1;
}
.gallery__item-3-2 {
  grid-area: gallery__item-3-2;
}
.gallery__item-3-3 {
  grid-area: gallery__item-3-3;
}

 }
 @media (min-width: 992px) {
	.bio {
		position: fixed;
    	left: 60%;
		width: 36%;
    	background-color: #fff;
	}
 }